=== debian/control ===
Source: prettify.js
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Dominique Dumont <dod@debian.org>
Section: web
Priority: optional
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: closure-compiler,
                     yui-compressor
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/prettify.js.git
Vcs-Git: git://anonscm.debian.org/pkg-javascript/prettify.js.git
Homepage: https://code.google.com/p/google-code-prettify/

Package: libjs-prettify
Architecture: all
Depends: ${misc:Depends}
Description: syntax highlighting of source code snippets in an html page
 A Javascript module and CSS file that allows syntax highlighting of
 source code snippets in an html page.
 .
 Features:
 .
  * Works on HTML pages
  * Works even if code contains embedded links, line numbers, etc.
  * Simple API : include some JS&CSS and add an onload handler.
  * Customizable styles via CSS. See the themes gallery
  * Supports all C-like, Bash-like, and XML-like languages.
  * Extensible language handlers for other languages.
  * Widely used with good cross-browser support.
