=== debian/watch ===
# run the "uscan --report --verbose" command
# to check the spec
# See uscan(1) for format. 

# Compulsory line, this is a version 3 file
version=3

# upstream has version number like "4-Mar-2013". Let's sort this out
opts=dversionmangle=s/\+dfsg//,uversionmangle=s/Jan/01/;s/Feb/02/;s/Mar/03/;s/Apr/04/;s/May/05/;s/Jun/06/;s/Jul/07/;s/Aug/08/;s/Sep/09/;s/Oct/10/;s/Nov/11/;s/Dec/12/;s/\b(\d)\b/0$1/g;s/(\d+)-(\d+)-(\d+)/$3.$2.$1/ \
http://code.google.com/p/google-code-prettify/downloads/list?can=1 \
  .*/prettify-(\d+-\w+-\d+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))|zip)
