## prettify.js 2015.12.04%2Bdfsg

=== debian/watch ===
Version: 5

Template: Github
Owner: googlearchive
Project: code-prettify
Dversion-Mangle: auto
Uversion-Mangle: s/Jan/01/;s/Feb/02/;s/Mar/03/;s/Apr/04/;s/May/05/;s/Jun/06/;s/Jul/07/;s/Aug/08/;s/Sep/09/;s/Oct/10/;s/Nov/11/;s/Dec/12/;s/\b(\d)\b/0$1/g;s/(\d+)-(\d+)-(\d+)/$1.$2.$3/
Repack-Suffix: +dfsg
