## prettify.js 2015.12.04+dfsg

=== Makefile ===
--- 
+++ 
@@ -15,10 +15,10 @@
 
 TAR_ROOT=distrib/google-code-prettify
 
-all: distrib
+all: distrib loader
 
 clean:
-	rm -rf distrib.tstamp distrib src/prettify.js src/run_prettify.js
+	rm -rf distrib.tstamp distrib loader.tstamp src/prettify.js src/run_prettify.js
 
 src/prettify.js: js-modules/*.js js-modules/*.pl
 	@if [ -e "$@" ]; then chmod +w "$@"; fi
@@ -82,10 +82,22 @@
 
 lang-aliases : lang-aliases.tstamp
 lang-aliases.tstamp : distrib.tstamp
-	@tools/lang-handler-aliases.sh \
-            distrib/sources/google-code-prettify/src \
+	tools/lang-handler-aliases.sh \
+            distrib/google-code-prettify \
 	  | perl -ne 'system("cp $$1 $$2") if m/^(\S+) (\S+)$$/ && ! -e $$2' \
 	  && touch lang-aliases.tstamp
+
+loader : loader.tstamp lang-aliases.tstamp styles/*.css
+
+loader.tstamp : distrib.tstamp
+	@cp distrib/google-code-prettify/*.{css,js} loader/ \
+	&& for f in styles/*.css; do \
+	  $(YUI_COMPRESSOR) --type css $$f \
+	      > loader/skins/$$(basename $$f); \
+	  wc -c $$f loader/skins/$$(basename $$f) \
+	      | grep -v total; \
+	done \
+	&& touch loader.tstamp
 
 %.tgz: %.tar
 	@gzip -c -9 $^ > $@
@@ -108,4 +120,3 @@
 	  examples js-modules src styles tests tools \
 	  distrib/sources/google-code-prettify
 	tar cf distrib/prettify.tar -C distrib/sources google-code-prettify
-
