=== debian/changelog ===
prettify.js (2015.12.04+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Yadd ]
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.6.2
  * Add "Rules-Requires-Root: no"
  * Change section to javascript
  * Add debian/gbp.conf
  * Modernize debian/watch
  * Add upstream/metadata

  [ Andreas Tille ]
  * New Homepage
  * d/watch: version=5
    Closes: #902286
  * Standards-Version: 4.7.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Update lintian override info format in d/source/lintian-overrides
  * Trim trailing whitespace.
  * Update renamed lintian tag names in lintian overrides.
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 19 Nov 2025 20:47:13 +0100

prettify.js (2015.12.04+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix the README installation. (Closes: #903340)

 -- Adrian Bunk <bunk@debian.org>  Sat, 22 Sep 2018 23:31:59 +0300

prettify.js (2015.12.04+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Update debian/watch and Files-Excluded in debian/copyright
  * Further updates to Files-Excluded
  * New upstream release (2015-12-04)
  * Remove redundant lintian overrides
  * Remove redundant entries from debian/copyright
  * Update Homepage and VCS URLs in debian/control
  * Remove clutter from debian/rules
  * Override lintian source warnings
  * Create and delete loader folder
  * Update Standards-Version from 3.9.6 to 4.1.1 (no change required)
  * Update debian/copyright

 -- Christopher Hoskin <mans0954@debian.org>  Tue, 14 Nov 2017 06:49:02 +0000
