=== debian/control ===
Source: prettify.js
Standards-Version: 4.7.2
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Dominique Dumont <dod@debian.org>,
Section: javascript
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Indep:
 closure-compiler,
 yui-compressor,
Vcs-Browser: https://salsa.debian.org/js-team/prettify.js
Vcs-Git: https://salsa.debian.org/js-team/prettify.js.git
Homepage: https://github.com/googlearchive/code-prettify
Rules-Requires-Root: no

Package: libjs-prettify
Architecture: all
Depends:
 ${misc:Depends},
Description: syntax highlighting of source code snippets in an html page
 A Javascript module and CSS file that allows syntax highlighting of
 source code snippets in an html page.
 .
 Features:
 .
  * Works on HTML pages
  * Works even if code contains embedded links, line numbers, etc.
  * Simple API : include some JS&CSS and add an onload handler.
  * Customizable styles via CSS. See the themes gallery
  * Supports all C-like, Bash-like, and XML-like languages.
  * Extensible language handlers for other languages.
  * Widely used with good cross-browser support.
